package application;

import javafx.scene.control.ButtonType;
import javafx.scene.control.Dialog;
import javafx.scene.control.DialogPane;
import javafx.scene.paint.Color;
import javafx.scene.control.ButtonBar.ButtonData;
import javafx.util.Callback;

public class DialogFavoriteColor extends Dialog<Color> {
	
    private DialogPane dialogPane = getDialogPane();
    
	public DialogFavoriteColor() {
		
		DialogFavoriteColorVBox dialogFavoriteColorVBox = new DialogFavoriteColorVBox();

		dialogPane.setContent(dialogFavoriteColorVBox);
		
		this.setTitle("F̑I");
		ButtonType yesButtonType = new ButtonType("", ButtonData.OK_DONE);
		ButtonType cancelButtonType = new ButtonType("", ButtonData.CANCEL_CLOSE);
		dialogPane.getButtonTypes().setAll(yesButtonType, cancelButtonType);
		
		setResultConverter(new Callback<ButtonType, Color>() {

			@Override
			public Color call(ButtonType buttonType) {
	            ButtonData data = (buttonType == null ? null : buttonType.getButtonData());
	            return (data == ButtonData.OK_DONE) ? dialogFavoriteColorVBox.getColor() : null;
			}
			
		});

	}

}
