package application;

import java.io.IOException;

import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.stage.Modality;
import javafx.stage.Stage;
import javafx.stage.StageStyle;
import javafx.stage.WindowEvent;

public class StageAbout extends Stage {

    @FXML
    private Label labelAppName;

    @FXML
    private Label labelVerNo;

    @FXML
    private Label labelYear;

    @FXML
    private Label labelAuthor;

    @FXML
    private Button buttonOK;
    
    private Stage stage = null;

    @FXML
    private void initialize() {
    	
    	buttonOK.setOnAction(new EventHandler<ActionEvent>() {

			@Override
			public void handle(ActionEvent event) {
				fireEvent(new WindowEvent(stage, WindowEvent.WINDOW_CLOSE_REQUEST));
			}
    		
    	});
    }
    
    public void setAppName(String appName) {
    	this.setTitle(appName);
    	labelAppName.setText(appName);
    }
    
    public void setVerNo(String verNo) {
    	labelVerNo.setText(verNo);
    }
    
    public void setYear(String year) {
    	labelYear.setText(year);
    }
    
    public void setAuthor(String author) {
    	labelAuthor.setText(author);
    }
    
    public StageAbout() {
    	this.initModality(Modality.APPLICATION_MODAL);
    	this.initStyle(StageStyle.UTILITY);
    	
    	this.stage = this;
    	
    	FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource("StageAbout.fxml"));
    	fxmlLoader.setRoot(this);
    	fxmlLoader.setController(this);
           	
    	try {
    		fxmlLoader.load();
    	} catch (IOException exception) {
    		throw new RuntimeException(exception);
    	}

    }
    
}
